=== removed file 'mysys/my_fopen.cc'
--- mysys/my_fopen.cc	2009-05-23 16:15:00 +0000
+++ mysys/my_fopen.cc	1970-01-01 00:00:00 +0000
@@ -1,140 +0,0 @@
-/* Copyright (C) 2000 MySQL AB
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; version 2 of the License.
-
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
-
-#include "mysys/mysys_priv.h"
-#include "my_static.h"
-#include "mysys/mysys_err.h"
-
-#include <stdio.h>
-#include <stdlib.h>
-#include <errno.h>
-#include <string.h>
-
-static void make_ftype(char * to,int flag);
-
-/*
-  Open a file as stream
-
-  SYNOPSIS
-    my_fopen()
-    FileName	Path-name of file
-    Flags	Read | write | append | trunc (like for open())
-    MyFlags	Flags for handling errors
-
-  RETURN
-    0	Error
-    #	File handler
-*/
-
-FILE *my_fopen(const char *filename, int flags, myf MyFlags)
-{
-  FILE *fd;
-  char type[5];
-  /*
-    if we are not creating, then we need to use my_access to make sure
-    the file exists since Windows doesn't handle files like "com1.sym"
-    very  well
-  */
-  {
-    make_ftype(type,flags);
-    fd = fopen(filename, type);
-  }
-
-  if (fd != NULL)
-  {
-    my_stream_opened++;
-    return fd;				/* safeguard */
-  }
-  else
-    my_errno=errno;
-  if (MyFlags & (MY_FFNF | MY_FAE | MY_WME))
-    my_error((flags & O_RDONLY) || (flags == O_RDONLY ) ? EE_FILENOTFOUND :
-	     EE_CANTCREATEFILE,
-	     MYF(ME_BELL+ME_WAITTANG), filename, my_errno);
-  return NULL;
-} /* my_fopen */
-
-
-	/* Close a stream */
-
-int my_fclose(FILE *fd, myf MyFlags)
-{
-  int err,file;
-
-  file= fileno(fd);
-  if ((err = fclose(fd)) < 0)
-  {
-    my_errno=errno;
-    if (MyFlags & (MY_FAE | MY_WME))
-      my_error(EE_BADCLOSE, MYF(ME_BELL+ME_WAITTANG),
-	       my_filename(file),errno);
-  }
-  else
-    my_stream_opened--;
-
-  return(err);
-} /* my_fclose */
-
-
-
-/*
-  Make a fopen() typestring from a open() type bitmap
-
-  SYNOPSIS
-    make_ftype()
-    to		String for fopen() is stored here
-    flag	Flag used by open()
-
-  IMPLEMENTATION
-    This routine attempts to find the best possible match
-    between  a numeric option and a string option that could be
-    fed to fopen.  There is not a 1 to 1 mapping between the two.
-
-  NOTE
-    On Unix, O_RDONLY is usually 0
-
-  MAPPING
-    r  == O_RDONLY
-    w  == O_WRONLY|O_TRUNC|O_CREAT
-    a  == O_WRONLY|O_APPEND|O_CREAT
-    r+ == O_RDWR
-    w+ == O_RDWR|O_TRUNC|O_CREAT
-    a+ == O_RDWR|O_APPEND|O_CREAT
-*/
-
-static void make_ftype(register char * to, register int flag)
-{
-  /* check some possible invalid combinations */
-  assert((flag & (O_TRUNC | O_APPEND)) != (O_TRUNC | O_APPEND));
-  assert((flag & (O_WRONLY | O_RDWR)) != (O_WRONLY | O_RDWR));
-
-  if ((flag & (O_RDONLY|O_WRONLY)) == O_WRONLY)
-    *to++= (flag & O_APPEND) ? 'a' : 'w';
-  else if (flag & O_RDWR)
-  {
-    /* Add '+' after theese */
-    if (flag & (O_TRUNC | O_CREAT))
-      *to++= 'w';
-    else if (flag & O_APPEND)
-      *to++= 'a';
-    else
-      *to++= 'r';
-    *to++= '+';
-  }
-  else
-    *to++= 'r';
-
-  *to='\0';
-} /* make_ftype */

=== modified file 'mysys/my_static.h'
--- mysys/my_static.h	2009-05-23 16:15:00 +0000
+++ mysys/my_static.h	2009-05-26 20:45:27 +0000
@@ -58,8 +58,6 @@
 extern volatile int _my_signals;
 extern struct st_remember _my_sig_remember[MAX_SIGNALS];
 
-extern const char *soundex_map;
-
 extern unsigned char	*sf_min_adress,*sf_max_adress;
 extern uint	sf_malloc_count;
 extern struct st_irem *sf_malloc_root;

=== modified file 'mysys/my_sys.h'
--- mysys/my_sys.h	2009-05-26 02:54:31 +0000
+++ mysys/my_sys.h	2009-05-26 20:45:27 +0000
@@ -377,8 +377,6 @@
 extern bool array_append_string_unique(const char *str,
                                           const char **array, size_t size);
 extern void get_date(char * to,int timeflag,time_t use_time);
-extern void soundex(CHARSET_INFO *, char * out_pntr, char * in_pntr,
-                    bool remove_garbage);
 extern int init_record_cache(RECORD_CACHE *info,size_t cachesize,File file,
 			     size_t reclength,enum cache_type type,
 			     bool use_async_io);
@@ -448,7 +446,6 @@
 extern ha_checksum my_checksum(ha_checksum crc, const unsigned char *mem,
                                size_t count);
 extern void my_sleep(uint32_t m_seconds);
-extern uint64_t my_set_max_open_files(uint64_t files);
 void my_free_open_file_info(void);
 
 extern uint64_t my_getsystime(void);

